## org.eclipse.uml2.uml
Interface ReclassifyObjectAction

All Superinterfaces:
  Action, ActivityNode, Element, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, ExecutableNode, NamedElement, org.eclipse.emf.common.notify.Notifier, RedefinableElement

    public interface ReclassifyObjectAction

extends Action

A representation of the model object 'Reclassify Object Action'. A reclassify object action is an action that changes which classifiers classify an object.

The following features are supported:

- `Is Replace All`
- `Old Classifier`
- `New Classifier`
- `Object`

See Also:
  `UMLPackage.getReclassifyObjectAction()`

Field Summary

Fields inherited from interface org.eclipse.uml2.uml.NamedElement
`SEPARATOR`

Method Summary
`InputPin` `createObject(java.lang.String name, Type type)` Creates a new `InputPin`,with the specified 'Name', and 'Type', and sets the 'Object' containment reference
`InputPin` `createObject(java.lang.String name, Type type, org.eclipse.emf.ecore.EClass eClass)` Creates a new `InputPin`, with the specified 'Name', and 'Type', and sets the 'Object' containment reference
`Classifier` `getNewClassifier(java.lang.String name)` Retrieves the first `Classifier` with the specified 'Name' from the 'New Classifier' reference list
`Classifier` `getNewClassifier(java.lang.String name, boolean ignoreCase, org.eclipse.emf.ecore.EClass eClass)` Retrieves the first `Classifier` with the specified 'Name' from the 'New Classifier' reference list
`org.eclipse.emf.common.util.EList<Classifier>` `getNewClassifiers()` Returns the value of the 'New Classifier' reference list.
`InputPin` `getObject()` Returns the value of the 'Object' containment reference.
`Classifier` `getOldClassifier(java.lang.String name)` Retrieves the first `Classifier` with the specified 'Name' from the 'Old Classifier' reference list
`Classifier` `getOldClassifier(java.lang.String name, boolean ignoreCase, org.eclipse.emf.ecore.EClass eClass)` Retrieves the first `Classifier` with the specified 'Name' from the 'Old Classifier' reference list
`org.eclipse.emf.common.util.EList<Classifier>` `getOldClassifiers()` Returns the value of the 'Old Classifier' reference list.
`boolean` `isReplaceAll()` Returns the value of the 'Is Replace All' attribute.
`void` `setIsReplaceAll(boolean value)` Sets the value of the '`Is Replace All`' attribute
`void` `setObject(InputPin value)` Sets the value of the '`Object`' containment reference
`boolean` `validateClassifierNotAbstract(org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` None of the new classifiers may be abstract.
`boolean` `validateInputPin(org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` The input pin has no type.
`boolean` `validateMultiplicity(org.eclipse.emf.common.util.DiagnosticChain diagnostics, java.util.Map<java.lang.Object,java.lang.Object> context)` The multiplicity of the input pin is 1..1.

Methods inherited from interface org.eclipse.uml2.uml.Action
`createLocalPostcondition, createLocalPostcondition, createLocalPrecondition, createLocalPrecondition, getContext, getInput, getInput, getInputs, getLocalPostcondition, getLocalPostcondition, getLocalPostconditions, getLocalPrecondition, getLocalPrecondition, getLocalPreconditions, getOutput, getOutput, getOutputs`

Methods inherited from interface org.eclipse.uml2.uml.ExecutableNode
`createHandler, getHandlers`

Methods inherited from interface org.eclipse.uml2.uml.ActivityNode
`getActivity, getIncoming, getIncoming, getIncomings, getInGroups, getInInterruptibleRegions, getInPartition, getInPartition, getInPartitions, getInStructuredNode, getOutgoing, getOutgoing, getOutgoings, getRedefinedNode, getRedefinedNode, getRedefinedNodes, setActivity, setInStructuredNode, validateOwned, validateOwnedStructuredNode`

Methods inherited from interface org.eclipse.uml2.uml.RedefinableElement
`getRedefinedElement, getRedefinedElement, getRedefinedElements, getRedefinitionContext, getRedefinitionContext, getRedefinitionContexts, isConsistentWith, isLeaf, isRedefinitionContextValid, setIsLeaf, validateRedefinitionConsistent, validateRedefinitionContextValid`

Methods inherited from interface org.eclipse.uml2.uml.NamedElement

`allNamespaces, allOwningPackages, createDependency, createNameExpression, createUsage, getClientDependencies, getClientDependency, getClientDependency, getLabel, getLabel, getName, getNameExpression, getNamespace, getQualifiedName, getVisibility, isDistinguishableFrom, isSetName, isSetVisibility, separator, setName, setNameExpression, setVisibility, unsetName, unsetVisibility, validateHasNoQualifiedName, validateHasQualifiedName, validateVisibilityNeedsOwnership`

Methods inherited from interface org.eclipse.uml2.uml.Element

`addKeyword, allOwnedElements, applyStereotype, createEAnnotation, createOwnedComment, destroy, getApplicableStereotype, getApplicableStereotypes, getAppliedStereotype, getAppliedStereotypes, getAppliedSubstereotype, getAppliedSubstereotypes, getKeywords, getModel, getNearestPackage, getOwnedComments, getOwnedElements, getOwner, getRelationships, getRelationships, getRequiredStereotype, getRequiredStereotypes, getSourceDirectedRelationships, getSourceDirectedRelationships, getStereotypeApplication, getStereotypeApplications, getTargetDirectedRelationships, getTargetDirectedRelationships, getValue, hasKeyword, hasValue, isStereotypeApplicable, isStereotypeApplied, isStereotypeRequired, mustBeOwned, removeKeyword, setValue, unapplyStereotype, validateHasOwner, validateNotOwnSelf`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### isReplaceAll

    boolean isReplaceAll()

  Returns the value of the 'Is Replace All' attribute. The default value is `"false"`. Specifies whether existing classifiers should be removed before adding the new classifiers.

  Returns:
    the value of the 'Is Replace All' attribute.
  See Also:
    `setIsReplaceAll(boolean)`, `UMLPackage.getReclassifyObjectAction_IsReplaceAll()`

### setIsReplaceAll

    void setIsReplaceAll(boolean value)

  Sets the value of the '`Is Replace All`' attribute.

  Parameters:
    `value` - the new value of the 'Is Replace All' attribute.
  See Also:
    `isReplaceAll()`

### getOldClassifiers

    org.eclipse.emf.common.util.EList<Classifier> getOldClassifiers()

  Returns the value of the 'Old Classifier' reference list. The list contents are of type `Classifier`. A set of classifiers to be removed from the classifiers of the object.

  Returns:
    the value of the 'Old Classifier' reference list.
  See Also:
    `UMLPackage.getReclassifyObjectAction_OldClassifier()`

### getOldClassifier

    Classifier getOldClassifier(java.lang.String name)

  Retrieves the first `Classifier` with the specified 'Name' from the 'Old Classifier' reference list.

  Parameters:
    `name` - The 'Name' of the `Classifier` to retrieve, or `null`.
  Returns:
    The first `Classifier` with the specified 'Name', or `null`.
  See Also:
    `getOldClassifiers()`

### getOldClassifier

    Classifier getOldClassifier(java.lang.String name,
                                boolean ignoreCase,
                                org.eclipse.emf.ecore.EClass eClass)

  Retrieves the first `Classifier` with the specified 'Name' from the 'Old Classifier' reference list.

  Parameters:
    `name` - The 'Name' of the `Classifier` to retrieve, or `null`.
    `ignoreCase` - Whether to ignore case in `String` comparisons.
    `eClass` - The Ecore class of the `Classifier` to retrieve, or `null`.
  Returns:
    The first `Classifier` with the specified 'Name', or `null`.
  See Also:
    `getOldClassifiers()`

### getNewClassifiers

    org.eclipse.emf.common.util.EList<Classifier> getNewClassifiers()

  Returns the value of the 'New Classifier' reference list. The list contents are of type `Classifier`. A set of classifiers to be added to the classifiers of the object.

  Returns:
    the value of the 'New Classifier' reference list.
  See Also:
    `UMLPackage.getReclassifyObjectAction_NewClassifier()`

### getNewClassifier

    Classifier getNewClassifier(java.lang.String name)

  Retrieves the first `Classifier` with the specified 'Name' from the 'New Classifier' reference list.

  Parameters:
    `name` - The 'Name' of the `Classifier` to retrieve, or `null`.
  Returns:
    The first `Classifier` with the specified 'Name', or `null`.
  See Also:
    `getNewClassifiers()`

### getNewClassifier

    Classifier getNewClassifier(java.lang.String name,
                                boolean ignoreCase,
                                org.eclipse.emf.ecore.EClass eClass)

  Retrieves the first `Classifier` with the specified 'Name' from the 'New Classifier' reference list.

  Parameters:
    `name` - The 'Name' of the `Classifier` to retrieve, or `null`.
    `ignoreCase` - Whether to ignore case in `String` comparisons.
    `eClass` - The Ecore class of the `Classifier` to retrieve, or `null`.
  Returns:
    The first `Classifier` with the specified 'Name', or `null`.
  See Also:
    `getNewClassifiers()`

### getObject

    InputPin getObject()

  Returns the value of the 'Object' containment reference.

  This feature subsets the following features:

  - '`Input`'
  Holds the object to be reclassified.

  Returns:
    the value of the 'Object' containment reference.
  See Also:
    `setObject(InputPin)`, `UMLPackage.getReclassifyObjectAction_Object()`

### setObject

    void setObject(InputPin value)

  Sets the value of the '`Object`' containment reference.

  Parameters:
    `value` - the new value of the 'Object' containment reference.
  See Also:
    `getObject()`

### createObject

    InputPin createObject(java.lang.String name,
                          Type type,
                          org.eclipse.emf.ecore.EClass eClass)

  Creates a new `InputPin`, with the specified 'Name', and 'Type', and sets the 'Object' containment reference.

  Parameters:
    `name` - The 'Name' for the new `InputPin`, or `null`.
    `type` - The 'Type' for the new `InputPin`, or `null`.
    `eClass` - The Ecore class of the `InputPin` to create.
  Returns:
    The new `InputPin`.
  See Also:
    `getObject()`

### createObject

    InputPin createObject(java.lang.String name,
                          Type type)

  Creates a new `InputPin`,with the specified 'Name', and 'Type', and sets the 'Object' containment reference.

  Parameters:
    `name` - The 'Name' for the new `InputPin`, or `null`.
    `type` - The 'Type' for the new `InputPin`, or `null`.
  Returns:
    The new `InputPin`.
  See Also:
    `getObject()`

### validateClassifierNotAbstract

    boolean validateClassifierNotAbstract(org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                          java.util.Map<java.lang.Object,java.lang.Object> context)

  None of the new classifiers may be abstract. not self.newClassifier->exists(isAbstract = true)

  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

### validateMultiplicity

    boolean validateMultiplicity(org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                                 java.util.Map<java.lang.Object,java.lang.Object> context)

  The multiplicity of the input pin is 1..1. self.argument.multiplicity.is(1,1)

  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

### validateInputPin

    boolean validateInputPin(org.eclipse.emf.common.util.DiagnosticChain diagnostics,
                             java.util.Map<java.lang.Object,java.lang.Object> context)

  The input pin has no type. self.argument.type->size() = 0

  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

Copyright 2003, 2007 IBM Corporation and others. All Rights Reserved.